IRremoteESP8266: Daikin128Protocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
Daikin128Protocol Union Reference

Native representation of a Daikin128 A/C message. More...

`#include <ir_Daikin.h>`

## Public Attributes

uint8_t | raw [kDaikin128StateLength]
| The state of the IR remote. More...
struct {
uint8_t __pad0__:8
uint8_t Mode:4
uint8_t Fan:4
uint8_t ClockMins:8
uint8_t ClockHours:8
uint8_t OnHours:6
uint8_t OnHalfHour:1
uint8_t OnTimer:1
uint8_t OffHours:6
uint8_t OffHalfHour:1
uint8_t OffTimer:1
uint8_t Temp:8
uint8_t SwingV:1
uint8_t Sleep:1
uint8_t __pad1__:1
uint8_t Power:1
uint8_t Sum1:4
uint8_t __pad2__:8
uint8_t Ceiling:1
uint8_t __pad3__:1
uint8_t Econo:1
uint8_t Wall:1
uint8_t __pad4__:4
uint8_t pad [5]
uint8_t Sum2:8
}; |

## Detailed Description

Native representation of a Daikin128 A/C message.

## Member Data Documentation

## ◆ @25

struct { ... }

## ◆ __pad0__

uint8_t Daikin128Protocol::__pad0__

## ◆ __pad1__

uint8_t Daikin128Protocol::__pad1__

## ◆ __pad2__

uint8_t Daikin128Protocol::__pad2__

## ◆ __pad3__

uint8_t Daikin128Protocol::__pad3__

## ◆ __pad4__

uint8_t Daikin128Protocol::__pad4__

## ◆ Ceiling

uint8_t Daikin128Protocol::Ceiling

## ◆ ClockHours

uint8_t Daikin128Protocol::ClockHours

## ◆ ClockMins

uint8_t Daikin128Protocol::ClockMins

## ◆ Econo

uint8_t Daikin128Protocol::Econo

## ◆ Fan

uint8_t Daikin128Protocol::Fan

## ◆ Mode

uint8_t Daikin128Protocol::Mode

## ◆ OffHalfHour

uint8_t Daikin128Protocol::OffHalfHour

## ◆ OffHours

uint8_t Daikin128Protocol::OffHours

## ◆ OffTimer

uint8_t Daikin128Protocol::OffTimer

## ◆ OnHalfHour

uint8_t Daikin128Protocol::OnHalfHour

## ◆ OnHours

uint8_t Daikin128Protocol::OnHours

## ◆ OnTimer

uint8_t Daikin128Protocol::OnTimer

## ◆ pad

uint8_t Daikin128Protocol::pad[5]

## ◆ Power

uint8_t Daikin128Protocol::Power

## ◆ raw

uint8_t Daikin128Protocol::raw[kDaikin128StateLength]

The state of the IR remote.

## ◆ Sleep

uint8_t Daikin128Protocol::Sleep

## ◆ Sum1

uint8_t Daikin128Protocol::Sum1

## ◆ Sum2

uint8_t Daikin128Protocol::Sum2

## ◆ SwingV

uint8_t Daikin128Protocol::SwingV

## ◆ Temp

uint8_t Daikin128Protocol::Temp

## ◆ Wall

uint8_t Daikin128Protocol::Wall

The documentation for this union was generated from the following file:

- src/ir_Daikin.h